Bug 179846 - merge global and standard keyboard shortcut sections
Summary: merge global and standard keyboard shortcut sections
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_keys (show other bugs)
Version: 4.1
Platform: Compiled Sources Unspecified
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: David Redondo
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2009-01-06 21:58 UTC by Maciej Pilichowski
Modified: 2020-08-14 08:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2009-01-06 21:58:35 UTC
Version:            (using Devel)
Installed from:    Compiled sources

merge global and standard keyboard shortcut sections

Splitting shortcuts into two sections: global and standard (is global non-standard?) is really un-productive. With each alteration of shortcut I have to think if this is global shortcut or standard. Such division is artificial for any user who just want to assign the shortcut -- she/he is not interested in shortcut architecture.

Without luck user is forced to do two searches per each shortcut, what's more if she/he is about to define several shortcuts she/he has to do a lot of commits (or maybe loosing some changes) because of constant switching sections.

Please merge those two sections, this is bad UI.
Comment 1 Nate Graham 2020-01-12 06:00:06 UTC
I completely agree.
Comment 2 Nate Graham 2020-07-26 14:11:14 UTC
Will be done with https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/26